[{"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Categories.js":"1","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Events.js":"2","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\App.js":"3","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\EventWindow.js":"4","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\index.js":"5","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Modal.js":"6","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\EventCard.js":"7","C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\index.js":"8","C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\EventWindow.js":"9","C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\Modal.js":"10","C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\App.js":"11","C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\Categories.js":"12"},{"size":18229,"mtime":1609065895025,"results":"13","hashOfConfig":"14"},{"size":1828,"mtime":1608709188104,"results":"15","hashOfConfig":"14"},{"size":1928,"mtime":1609065895025,"results":"16","hashOfConfig":"14"},{"size":2289,"mtime":1608709554520,"results":"17","hashOfConfig":"14"},{"size":211,"mtime":1606149732749,"results":"18","hashOfConfig":"14"},{"size":616,"mtime":1606149732725,"results":"19","hashOfConfig":"14"},{"size":2521,"mtime":1609065895026,"results":"20","hashOfConfig":"14"},{"size":211,"mtime":1606149732749,"results":"21","hashOfConfig":"22"},{"size":2289,"mtime":1608709554520,"results":"23","hashOfConfig":"22"},{"size":616,"mtime":1606149732725,"results":"24","hashOfConfig":"22"},{"size":1928,"mtime":1609065895025,"results":"25","hashOfConfig":"22"},{"size":18229,"mtime":1609065895025,"results":"26","hashOfConfig":"22"},{"filePath":"27","messages":"28","errorCount":0,"warningCount":10,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},"9dliez",{"filePath":"29","messages":"30","errorCount":0,"warningCount":7,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"31","messages":"32","errorCount":0,"warningCount":4,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"33","messages":"34","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":"35"},{"filePath":"36","messages":"37","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"38"},{"filePath":"39","messages":"40","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"41"},{"filePath":"42","messages":"43","errorCount":0,"warningCount":5,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"44","messages":"45","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},"12nilsz",{"filePath":"46","messages":"47","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"48","messages":"49","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"50","messages":"51","errorCount":0,"warningCount":4,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"52","messages":"53","errorCount":0,"warningCount":10,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Categories.js",["54","55","56","57","58","59","60","61","62","63"],"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Events.js",["64","65","66","67","68","69","70"],"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\App.js",["71","72","73","74"],"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\EventWindow.js",["75","76"],"import React, { Component } from 'react';\r\nimport styles from '../styles/styles.css';\r\n\r\nclass EventWindow extends Component {\r\n  constructor(props) {\r\n    super(props);\r\n  }\r\n  images(){\r\n    let img = new Image();\r\n    img.src = this.props.event.image;\r\n\r\n    console.log(\"Ширина:\" + img.naturalWidth);\r\n    console.log(\"Высота:\" + img.naturalHeight);\r\n\r\n    if ( img.naturalWidth< img.naturalHeight){\r\n\r\n      return(<div className=\"window-img-container\"><img src={this.props.event.image}\r\n                                                        className=\"window-img-height\" alt=\"\"></img></div>);\r\n\r\n    }\r\n    else {\r\n      return (<div ><img src={this.props.event.image}\r\n                                                         className=\"window-img\" alt=\"\"></img></div>);\r\n    }\r\n  }\r\n  render() {\r\n\r\n  return (\r\n    <div>\r\n      <div className=\"modal-window\">\r\n        <span className=\"close\" onClick={() => {this.props.close.closeWindow()}}></span>\r\n        <div className=\"window-content\">\r\n          {/*<img src={this.props.images} className=\"window-img\"></img>*/}\r\n          {this.images()}\r\n          <div className=\"window-scrolling-content\">\r\n            <div className=\"window-text\">\r\n              <div className=\"window-header\">\r\n                <div className=\"window-header-text\">\r\n                  <p><span>Название: </span>{this.props.event.name}</p>\r\n                  <p><span>Дата: </span>{this.props.event.date}</p>\r\n                  <p><span>Организация: </span>{this.props.event.organization.name}</p>\r\n                  <p><span>Место проведения: </span>{this.props.event.location}</p>\r\n                </div>\r\n                <button className=\"window-button\">Добавить в актуальное</button>\r\n              </div>\r\n              <div className=\"window-body\">\r\n                {this.props.event.description}\r\n              </div>\r\n              <div className=\"window-footer\">\r\n                <p><span>Оставить отзыв: </span><a href={this.props.event.review}>{this.props.event.review}</a></p>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n     <div className=\"overlay\"></div>\r\n    </div>\r\n  );\r\n  }\r\n}\r\nexport default EventWindow;","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\index.js",[],["77","78"],"C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\Modal.js",["79"],"import React, { Component } from 'react';\r\nimport ReactDOM from 'react-dom';\r\n\r\n\r\nclass Modal extends Component {\r\n    constructor(props) {\r\n        super(props);\r\n        this.el = document.createElement('div');\r\n        this.modalRoot = document.getElementById('modal-root');\r\n    }\r\n\r\n    componentDidMount() {\r\n        this.modalRoot.appendChild(this.el);\r\n    \r\n    }\r\n\r\n    componentWillUnmount() {\r\n        this.modalRoot.removeChild(this.el);\r\n    }\r\n\r\n    render() {\r\n        return ReactDOM.createPortal(\r\n            this.props.children,\r\n            this.el\r\n        );\r\n    }\r\n}\r\n\r\nexport default Modal;","C:\\Users\\79835\\PycharmProjects\\SFUevents\\sfu-events\\src\\components\\EventCard.js",["80","81","82","83","84"],"C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\index.js",[],"C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\EventWindow.js",["85","86"],"C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\Modal.js",["87"],"C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\App.js",["88","89","90","91"],"C:\\Users\\79835\\PycharmProjects\\events_sfu\\sfu-events\\src\\components\\Categories.js",["92","93","94","95","96","97","98","99","100","101"],{"ruleId":"102","severity":1,"message":"103","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":16},{"ruleId":"102","severity":1,"message":"106","line":3,"column":8,"nodeType":"104","messageId":"105","endLine":3,"endColumn":14},{"ruleId":"107","severity":1,"message":"108","line":114,"column":21,"nodeType":"109","endLine":114,"endColumn":54},{"ruleId":"107","severity":1,"message":"108","line":134,"column":21,"nodeType":"109","endLine":134,"endColumn":55},{"ruleId":"107","severity":1,"message":"108","line":158,"column":21,"nodeType":"109","endLine":158,"endColumn":57},{"ruleId":"107","severity":1,"message":"108","line":296,"column":21,"nodeType":"109","endLine":296,"endColumn":56},{"ruleId":"107","severity":1,"message":"108","line":313,"column":25,"nodeType":"109","endLine":313,"endColumn":51},{"ruleId":"110","severity":1,"message":"111","line":314,"column":66,"nodeType":"112","endLine":314,"endColumn":93},{"ruleId":"107","severity":1,"message":"108","line":318,"column":25,"nodeType":"109","endLine":318,"endColumn":52},{"ruleId":"110","severity":1,"message":"111","line":319,"column":67,"nodeType":"112","endLine":319,"endColumn":95},{"ruleId":"102","severity":1,"message":"106","line":4,"column":8,"nodeType":"104","messageId":"105","endLine":4,"endColumn":14},{"ruleId":"102","severity":1,"message":"113","line":5,"column":8,"nodeType":"104","messageId":"105","endLine":5,"endColumn":14},{"ruleId":"102","severity":1,"message":"103","line":6,"column":8,"nodeType":"104","messageId":"105","endLine":6,"endColumn":16},{"ruleId":"114","severity":1,"message":"115","line":16,"column":57,"nodeType":"116","endLine":16,"endColumn":67},{"ruleId":"114","severity":1,"message":"115","line":17,"column":58,"nodeType":"116","endLine":17,"endColumn":68},{"ruleId":"117","severity":1,"message":"118","line":24,"column":35,"nodeType":"119","messageId":"120","endLine":24,"endColumn":37},{"ruleId":"117","severity":1,"message":"121","line":25,"column":37,"nodeType":"119","messageId":"120","endLine":25,"endColumn":39},{"ruleId":"102","severity":1,"message":"103","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":16},{"ruleId":"102","severity":1,"message":"106","line":10,"column":8,"nodeType":"104","messageId":"105","endLine":10,"endColumn":14},{"ruleId":"114","severity":1,"message":"115","line":29,"column":32,"nodeType":"116","endLine":29,"endColumn":42},{"ruleId":"114","severity":1,"message":"115","line":33,"column":32,"nodeType":"116","endLine":33,"endColumn":42},{"ruleId":"102","severity":1,"message":"106","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":14},{"ruleId":"122","severity":1,"message":"123","line":5,"column":3,"nodeType":"124","messageId":"125","endLine":7,"endColumn":4},{"ruleId":"126","replacedBy":"127"},{"ruleId":"128","replacedBy":"129"},{"ruleId":"102","severity":1,"message":"130","line":1,"column":8,"nodeType":"104","messageId":"105","endLine":1,"endColumn":13},{"ruleId":"102","severity":1,"message":"106","line":4,"column":8,"nodeType":"104","messageId":"105","endLine":4,"endColumn":14},{"ruleId":"102","severity":1,"message":"113","line":5,"column":8,"nodeType":"104","messageId":"105","endLine":5,"endColumn":14},{"ruleId":"102","severity":1,"message":"131","line":6,"column":27,"nodeType":"104","messageId":"105","endLine":6,"endColumn":39},{"ruleId":"102","severity":1,"message":"132","line":6,"column":41,"nodeType":"104","messageId":"105","endLine":6,"endColumn":61},{"ruleId":"102","severity":1,"message":"133","line":6,"column":63,"nodeType":"104","messageId":"105","endLine":6,"endColumn":74},{"ruleId":"102","severity":1,"message":"106","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":14},{"ruleId":"122","severity":1,"message":"123","line":5,"column":3,"nodeType":"124","messageId":"125","endLine":7,"endColumn":4},{"ruleId":"102","severity":1,"message":"130","line":1,"column":8,"nodeType":"104","messageId":"105","endLine":1,"endColumn":13},{"ruleId":"102","severity":1,"message":"103","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":16},{"ruleId":"102","severity":1,"message":"106","line":10,"column":8,"nodeType":"104","messageId":"105","endLine":10,"endColumn":14},{"ruleId":"114","severity":1,"message":"115","line":29,"column":32,"nodeType":"116","endLine":29,"endColumn":42},{"ruleId":"114","severity":1,"message":"115","line":33,"column":32,"nodeType":"116","endLine":33,"endColumn":42},{"ruleId":"102","severity":1,"message":"103","line":2,"column":8,"nodeType":"104","messageId":"105","endLine":2,"endColumn":16},{"ruleId":"102","severity":1,"message":"106","line":3,"column":8,"nodeType":"104","messageId":"105","endLine":3,"endColumn":14},{"ruleId":"107","severity":1,"message":"108","line":114,"column":21,"nodeType":"109","endLine":114,"endColumn":54},{"ruleId":"107","severity":1,"message":"108","line":134,"column":21,"nodeType":"109","endLine":134,"endColumn":55},{"ruleId":"107","severity":1,"message":"108","line":158,"column":21,"nodeType":"109","endLine":158,"endColumn":57},{"ruleId":"107","severity":1,"message":"108","line":296,"column":21,"nodeType":"109","endLine":296,"endColumn":56},{"ruleId":"107","severity":1,"message":"108","line":313,"column":25,"nodeType":"109","endLine":313,"endColumn":51},{"ruleId":"110","severity":1,"message":"111","line":314,"column":66,"nodeType":"112","endLine":314,"endColumn":93},{"ruleId":"107","severity":1,"message":"108","line":318,"column":25,"nodeType":"109","endLine":318,"endColumn":52},{"ruleId":"110","severity":1,"message":"111","line":319,"column":67,"nodeType":"112","endLine":319,"endColumn":95},"no-unused-vars","'ReactDOM' is defined but never used.","Identifier","unusedVar","'styles' is defined but never used.","jsx-a11y/anchor-is-valid","The href attribute is required for an anchor to be keyboard accessible. Provide a valid, navigable address as the href value. If you cannot provide an href, but still need the element to resemble a link, use a button and change it with appropriate styles. Learn more: https://github.com/evcohen/eslint-plugin-jsx-a11y/blob/master/docs/rules/anchor-is-valid.md","JSXOpeningElement","react/jsx-no-duplicate-props","No duplicate props allowed","JSXAttribute","'Footer' is defined but never used.","react/no-direct-mutation-state","Do not mutate state directly. Use setState().","MemberExpression","eqeqeq","Expected '!==' and instead saw '!='.","BinaryExpression","unexpected","Expected '===' and instead saw '=='.","no-useless-constructor","Useless constructor.","MethodDefinition","noUselessConstructor","no-native-reassign",["134"],"no-negated-in-lhs",["135"],"'React' is defined but never used.","'processNodes' is defined but never used.","'convertNodeToElement' is defined but never used.","'htmlparser2' is defined but never used.","no-global-assign","no-unsafe-negation"]